# API documentation for libmpg123, libout123, and libsyn123

Note: This API doc is automatically generated from the current development version that you can get via Subversion or as a daily snapshot from http://mpg123.org/snapshot. There may be differences (additions) compared to the latest stable release. See NEWS.libmpg123, NEWS.libout123, NEWS.libsyn123, and the overall NEWS file on libmpg123 versions and important changes between them.
Let me emphasize that the policy for the lib*123 family is to always stay backwards compatible -- only additions are planned (and it's not yet planned to change the plans;-).
Public Attributes | List of all members
mpg123_frameinfo Struct Reference
mpg123 status and information

`#include <mpg123.h>`

## Public Attributes
enum mpg123_version | version
int | layer
long | rate
enum mpg123_mode | mode
int | mode_ext
int | framesize
enum mpg123_flags | flags
int | emphasis
int | bitrate
int | abr_rate
enum mpg123_vbr | vbr

## Detailed Description

Data structure for storing information about a frame of MPEG Audio

Definition at line 1502 of file mpg123.h.

## Member Data Documentation

## ◆ version

enum mpg123_version mpg123_frameinfo::version

The MPEG version (1.0/2.0/2.5).

Definition at line 1504 of file mpg123.h.

## ◆ layer

int mpg123_frameinfo::layer

The MPEG Audio Layer (MP1/MP2/MP3).

Definition at line 1505 of file mpg123.h.

## ◆ rate

long mpg123_frameinfo::rate

The sampling rate in Hz.

Definition at line 1506 of file mpg123.h.

## ◆ mode

enum mpg123_mode mpg123_frameinfo::mode

The audio mode (Mono, Stereo, Joint-stero, Dual Channel).

Definition at line 1507 of file mpg123.h.

## ◆ mode_ext

int mpg123_frameinfo::mode_ext

The mode extension bit flag.

Definition at line 1508 of file mpg123.h.

## ◆ framesize

int mpg123_frameinfo::framesize

The size of the frame (in bytes, including header).

Definition at line 1509 of file mpg123.h.

## ◆ flags

enum mpg123_flags mpg123_frameinfo::flags

MPEG Audio flag bits. Just now I realize that it should be declared as int, not enum. It's a bitwise combination of the enum values.

Definition at line 1510 of file mpg123.h.

## ◆ emphasis

int mpg123_frameinfo::emphasis

The emphasis type.

Definition at line 1511 of file mpg123.h.

## ◆ bitrate

int mpg123_frameinfo::bitrate

Bitrate of the frame (kbps).

Definition at line 1512 of file mpg123.h.

## ◆ abr_rate

int mpg123_frameinfo::abr_rate

The target average bitrate.

Definition at line 1513 of file mpg123.h.

## ◆ vbr

enum mpg123_vbr mpg123_frameinfo::vbr

The VBR mode.

Definition at line 1514 of file mpg123.h.

The documentation for this struct was generated from the following file:

- mpg123.h